@import "pref";

.nevis-btn-user-logged-in {
  position: relative;

  &:hover.menu-open {
    background-color: $color-indigo-approx;

    .nevis-btn-user-logged-in__svg {
      fill: $color-bg-header;
    }
  }

  &:hover.menu-close {
    background-color: transparent;

    .nevis-btn-user-logged-in__svg {
      fill: $color-bg-header;
    }
  }
}

.nevis-btn-user-logged-in__btn-user {
  width: 100%;
  height: 100%;
  position: relative;

  background-color: $color-bg-header;

  &:focus.menu-open {
    background-color: $color-indigo-approx;

    .nevis-btn-user-logged-in__svg {
      fill: $color-bg-header;
    }
  }

  &:focus.menu-close {
    background-color: rgba($color-indigo-approx, 0.3);

    .nevis-btn-user-logged-in__svg {
      fill: $color-bg-header;
    }
  }

  &:hover.menu-close { // becouse Firefox, Safari remove focus from the element after clicking on it. Why?:)
    background-color: $color-indigo-approx;

    .nevis-btn-user-logged-in__svg {
      fill: $color-bg-header;
    }
  }
}

.menu-open {
  &.nevis-btn-user-logged-in__btn-user {
    background-color: $color-indigo-approx;
  }

  .nevis-btn-user-logged-in__svg {
    fill: $color-bg-header;
  }
}

.menu-close {
  &.nevis-btn-user-logged-in__btn-user {
    background-color: $color-bg-header;
  }

  .nevis-btn-user-logged-in__svg {
    fill: $color-indigo-approx;
  }
}

.nevis-btn-user-logged-in__signed-in-text-wrap {
  padding: 15px 10px 10px;
}

.nevis-btn-user-logged-in__signed-in-text {
  @include reset-margin-padding();
  @include fonts($font-size-x1, $font-height-normal, $font-weight-light, normal, $color-mine-shaft);
  text-align: center;
}

.nevis-btn-user-logged-in__signed-in-text--loggen-in-as {
  font-size: $font-size-y1;
  margin-bottom: 3px;
}

.nevis-btn-user-logged-in__list-wrap {
  padding: 2px;
  position: absolute;
  top: $page-header-height - 1;
  right: 0;

  background-color: $color-indigo-approx;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);

  transition: all 0.12s ease;
}

.nevis-btn-user-logged-in__list {
  min-width: 100%;
  @include reset-list();

  background: $color-bg-header;
  //background: $color-chilean-heath linear-gradient(to bottom, $color-chilean-heath, $color-shalimar);

  transition: all 0.12s ease;
}

.nevis-btn-user-logged-in__item {
  width: 100%;
  padding-left: 0;
  padding-right: 0;
}

.nevis-btn-user-logged-in__item-btn {
  width: 100%;
  padding: 10px 10px;

  border: none;
  border-radius: 0;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: stretch;

  user-select: none;
  transition: all 0.12s ease;
}

.nevis-btn-user-logged-in__item-text {
  flex-grow: 1;
  margin-right: 15px;

  @include fonts($font-size-x2, $font-height-normal, $font-weight-light, normal, $color-mine-shaft);
  text-align: left;
}

.nevis-btn-user-logged-in__item-text--logout {
  word-spacing: -1px;
}

.nevis-btn-user-logged-in__item-pic-wrap {
  flex-shrink: 0;

  width: 30px;
  height: 30px;
  margin-left: auto;
}

.nevis-btn-user-logged-in__pic-wrap {
  width: $logo-height + 5;
  height: $logo-height + 5;
  margin-top: 2.5px;

  border: 1px solid $color-athens-gray;
  border-radius: 50%;
  background-color: $color-white;

  overflow: hidden;
}

.nevis-btn-user-logged-in__img {
  max-width: 100%;
  max-height: 100%;

  width: $logo-height + 3;
  height: $logo-height + 3;
}

.nevis-btn-user-logged-in__svg {
  margin-top: 5.5px;
}
